package cn.iocoder.yudao.module.system.dal.mysql.biz;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.OutboundRefundConfigPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.OutboundRefundConfigDO;
import org.apache.ibatis.annotations.Mapper;


/**
 * 外出退费配置 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface OutboundRefundConfigMapper extends BaseMapperX<OutboundRefundConfigDO> {

    default PageResult<OutboundRefundConfigDO> selectPage(OutboundRefundConfigPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OutboundRefundConfigDO>()
                .likeIfPresent(OutboundRefundConfigDO::getName, reqVO.getName())
                .eqIfPresent(OutboundRefundConfigDO::getStatus, reqVO.getStatus())
                .inIfPresent(OutboundRefundConfigDO::getTenantId,reqVO.getTenantIds())
                .orderByDesc(OutboundRefundConfigDO::getCreatedTime));

    }

}